List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAResourceServer.List(ctx, operations.C1APICrossAppAccessV1XAAResourceServerServiceListRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAResourceServerServiceListResponse != nil {
// handle response
}
}curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/resource_servers \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/resource_servers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/resource_servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nextPageToken": "<string>",
"resourceServers": [
{
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disabled": true,
"displayName": "<string>",
"id": "<string>",
"maxGrantLifetime": "<string>",
"modifyClaimsHook": {
"commitId": "<string>",
"disabled": true,
"functionId": "<string>"
},
"normalizedAudience": "<string>",
"requireProofOfPossession": true,
"resourceUris": [
"<string>"
],
"sectorId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Cross-App Access
List
List the resource servers registered for an application, one page at a time.
GET
/
api
/
v1
/
apps
/
{app_id}
/
xaa
/
resource_servers
List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAResourceServer.List(ctx, operations.C1APICrossAppAccessV1XAAResourceServerServiceListRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAResourceServerServiceListResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The application to list resource servers for.
Query Parameters
Page size (max 100).
Page token for pagination.
Response
200 - application/json
XAAResourceServerServiceListResponse returns a page of resource servers.
Was this page helpful?
⌘I